org.richfaces.renderkit

## Class InplaceInputRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.InplaceInputRendererBase

- Direct Known Subclasses:
    InplaceInputRenderer, InplaceSelectRendererBase

      public class InplaceInputRendererBase
      extends InputRendererBase

  Author:
    Anton Belevich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Map<String,org.richfaces.ui.common.ComponentAttribute>` | `INPLACE_INPUT_HANDLER_ATTRIBUTES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InplaceInputRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChangedStateCss(InplaceComponent component)`
    `String` | `getContainerStyleClasses(javax.faces.component.UIComponent component)`
    `String` | `getDisableStateCss(InplaceComponent component)`
    `String` | `getEditCss(InplaceComponent component)`
    `protected String` | `getEditEvent(javax.faces.component.UIComponent component)`
    `String` | `getEditStateCss(InplaceComponent component)`
    `String` | `getEditStyleClass(javax.faces.component.UIComponent component, InplaceState inplaceState)`
    `InplaceState` | `getInplaceState(javax.faces.component.UIComponent component)`
    `protected String` | `getInputWidth(javax.faces.component.UIComponent component)`
    `String` | `getNoneCss(InplaceComponent component)`
    `String` | `getReadyStateCss(InplaceComponent component)`
    `String` | `getStateStyleClass(javax.faces.component.UIComponent component, InplaceState inplaceState)`
    `String` | `getValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `renderInputHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `doDecode, getConvertedValue, getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPLACE_INPUT_HANDLER_ATTRIBUTES

          protected static final Map<String,org.richfaces.ui.common.ComponentAttribute> INPLACE_INPUT_HANDLER_ATTRIBUTES

  - ### Constructor Detail

    - #### InplaceInputRendererBase

          public InplaceInputRendererBase()

  - ### Method Detail

    - #### renderInputHandlers

          public void renderInputHandlers(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)
                                   throws IOException

      Throws:
        `IOException`

    - #### getInplaceState

          public InplaceState getInplaceState(javax.faces.component.UIComponent component)

    - #### getValue

          public String getValue(javax.faces.context.FacesContext facesContext,
                        javax.faces.component.UIComponent component)
                          throws IOException

      Throws:
        `IOException`

    - #### getStateStyleClass

          public String getStateStyleClass(javax.faces.component.UIComponent component,
                                  InplaceState inplaceState)

    - #### getContainerStyleClasses

          public String getContainerStyleClasses(javax.faces.component.UIComponent component)

    - #### getEditStyleClass

          public String getEditStyleClass(javax.faces.component.UIComponent component,
                                 InplaceState inplaceState)

    - #### getReadyStateCss

          public String getReadyStateCss(InplaceComponent component)

    - #### getEditStateCss

          public String getEditStateCss(InplaceComponent component)

    - #### getChangedStateCss

          public String getChangedStateCss(InplaceComponent component)

    - #### getDisableStateCss

          public String getDisableStateCss(InplaceComponent component)

    - #### getEditCss

          public String getEditCss(InplaceComponent component)

    - #### getNoneCss

          public String getNoneCss(InplaceComponent component)

    - #### getInputWidth

          protected String getInputWidth(javax.faces.component.UIComponent component)

    - #### getEditEvent

          protected String getEditEvent(javax.faces.component.UIComponent component)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.